Subject: Ticket Assigned - Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 19 Oct 2022 12:31:39 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? Feedback for:  If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? Its been 4 days since I returned the items.. can I get my money back now. Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5021887